Subject: calc windows should be marked as dedicated

From: Boruch Baum <[email-masked]>
Date: Tue, 20 Oct 2020 19:02:19 -0400

Windows that display calc buffers (ie. the stack buffer and the trail
buffer) are typically small-sized single-use windows, yet they are not
marked as dedicated. The consequence is that functions that perform
`pop-to-buffer' or `display-buffer' can use one of them as targets,
which will always be undesirable. A simple example, the one that
prompted this bug report, is when I was in a calc buffer and issued calc
command "u v" to display a 'units description' buffer. This is a long
and wide buffer, yet was displayed in the short and narrow calc trail
window. I vaguely recall having this also happen in the past with help
buffers, but was only motivated now to submit the report.

The solution is that when the calc and calc trail buffers are created,
they should be marked (set-window-dedicated-p)

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7'286 0036 9E45 1595 8BC0